#ifndef LED_BLINKWINDOW_H
#define LED_BLINKWINDOW_H

#include <QMainWindow>
#include <QString>
#include <QTimer>
#include <pigpiod_if2.h>

namespace Ui {
class LED_BlinkWindow;
}

class LED_BlinkWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit LED_BlinkWindow(QWidget *parent = 0);
    ~LED_BlinkWindow();

private slots:
    void on_actionQuit_triggered();
    void setBlinkSpeed();
    void setIntensity();
    void switchRedLED();
private:
    Ui::LED_BlinkWindow *ui;
    int pi;
    int blinkSpeed,intensity;
    const unsigned GREEN_LED =18;
    const unsigned RED_LED   =17;
    bool greenLEDState;
    const int ON = 1;
    const int OFF= 0;
    int retCode;
    int initLEDs();
    QTimer *timer;
    int timerID;

    QString greenIcons[13]= {
        ":/icons/icons/led-green-on-md.png",
        ":/icons/icons/led-green-on-10-md.png",
        ":/icons/icons/led-green-on-20-md.png",
        ":/icons/icons/led-green-on-30-md.png",
        ":/icons/icons/led-green-on-40-md.png",
        ":/icons/icons/led-green-on-50-md.png",
        ":/icons/icons/led-green-on-60-md.png",
        ":/icons/icons/led-green-on-70-md.png",
        ":/icons/icons/led-green-on-90-md.png",
        ":/icons/icons/led-green-on-100-md.png",
        ":/icons/icons/led-green-on-110-md.png",
        ":/icons/icons/led-green-on-120-md.png",
        ":/icons/icons/led-green-on-130-md.png"
    };
};
#endif // LED_BLINKWINDOW_H
