#include <QCoreApplication>
#include <pigpiod_if2.h>

#define GREEN_LED 18
#define RED_LED   17

int pi;
int ledInit() {
  int retCode=0;
  if ((retCode = pigpio_start("openday-05",NULL)) < 0) {
    printf("ledInit: Could not open the connection to the pigpio daemon\n");
    return retCode;
  }
  pi = retCode;
  printf("ledInit: pi: %d\n",pi);
  if ((retCode = set_mode(pi,GREEN_LED,PI_OUTPUT)) < 0) {
    printf("ledInit: Could not set green LED to output\n");
    return retCode;
  }

  if ((retCode = set_mode(pi,RED_LED,PI_OUTPUT)) < 0) {
    printf("ledInit: Could not set red LED to output\n");
    return retCode;
  }
  return 0;
}

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    if (ledInit() < 0) {
      printf("leds: Could not initialize connection\n");
      return -1;
    }
    for (;;) {
      gpio_write(pi,GREEN_LED,1);
      gpio_write(pi,RED_LED,0);
      time_sleep(0.5);

      gpio_write(pi,GREEN_LED,0);
      gpio_write(pi,RED_LED,1);
      time_sleep(0.5);

    }

    return a.exec();
}
